package com.ssj.service.conch.teacher.library.request;


import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author yrf
 * @time 2019/12/13 13:32
 */
public class ReplaceImgReq extends BaseRequest {

	private static final long serialVersionUID = 2893045686296535259L;

	@ApiModelProperty(name = "derverFileId", value = "设备图片唯一Id", required = true)
	@NotBlank
	private String  derverFileId;

	@ApiModelProperty(name = "oldFileKey", value = "旧图片的路径", required = true)
	@NotBlank
    private String oldFileKey;

	@ApiModelProperty(name = "newFileKey", value = "旧图片的路径", required = true)
	@NotBlank
	private String newFileKey;

	public String getDerverFileId() {
		return derverFileId;
	}

	public void setDerverFileId(String derverFileId) {
		this.derverFileId = derverFileId;
	}

	public String getOldFileKey() {
		return oldFileKey;
	}

	public void setOldFileKey(String oldFileKey) {
		this.oldFileKey = oldFileKey;
	}

	public String getNewFileKey() {
		return newFileKey;
	}

	public void setNewFileKey(String newFileKey) {
		this.newFileKey = newFileKey;
	}

}
